Bug 244037 - mail/t-prot: Update to 3.4, Remove BROKEN
Summary: mail/t-prot: Update to 3.4, Remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-11 07:54 UTC by Andreas Jobs
Modified: 2020-05-02 14:40 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (torres.g.alex)
dbaio: merge-quarterly+


Attachments
port upgrade to 3.4 (1004 bytes, patch)
2020-02-11 07:54 UTC, Andreas Jobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Jobs 2020-02-11 07:54:38 UTC
Created attachment 211553 [details]
port upgrade to 3.4

The attached patch fixes the "unfetchable" by updating the port to version 3.4. The license information is taken from the macports package.
Comment 1 Automation User 2020-02-11 08:06:35 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/116787390
Comment 2 Thomas Hurst 2020-03-24 16:38:52 UTC
Also fixes CVE-2009-4404 - https://nvd.nist.gov/vuln/detail/CVE-2009-4404

> Unspecified vulnerability in t-prot (TOFU Protection) before 2.8 allows remote attackers to cause a denial of service via unspecified vectors related to the "--maxlines" option and a crafted email message.
Comment 3 Thomas Hurst 2020-04-02 01:04:24 UTC
Upon closer inspection, 8 is a smaller number than 101.

Was assuming the version number had been mangled for some reason.  Apologies for the noise.
Comment 4 commit-hook freebsd_committer 2020-05-01 22:05:38 UTC
A commit references this bug:

Author: dbaio
Date: Fri May  1 22:04:55 UTC 2020
New revision: 533590
URL: https://svnweb.freebsd.org/changeset/ports/533590

Log:
  mail/t-prot: Update to 3.4, Unbreak

  PR:		244037
  Submitted by:	Andreas Jobs
  Approved by:	torres.g.alex@gmail.com (maintainer timeout, >11 weeks)

Changes:
  head/mail/t-prot/Makefile
  head/mail/t-prot/distinfo
Comment 5 commit-hook freebsd_committer 2020-05-02 14:39:17 UTC
A commit references this bug:

Author: dbaio
Date: Sat May  2 14:38:24 UTC 2020
New revision: 533691
URL: https://svnweb.freebsd.org/changeset/ports/533691

Log:
  MFH: r533590

  mail/t-prot: Update to 3.4, Unbreak

  PR:		244037
  Submitted by:	Andreas Jobs
  Approved by:	torres.g.alex@gmail.com (maintainer timeout, >11 weeks)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/t-prot/Makefile
  branches/2020Q2/mail/t-prot/distinfo
Comment 6 Danilo G. Baio freebsd_committer 2020-05-02 14:40:49 UTC
Committed, thanks!